Bug 1296858 - PIE binaries cannot be launched from nautilus
Summary: PIE binaries cannot be launched from nautilus
Keywords:
Status: NEW
Alias: None
Product: Fedora
Classification: Fedora
Component: nautilus
Version: 32
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Matthias Clasen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-01-08 09:38 UTC by Yann Droneaud
Modified: 2020-11-09 17:06 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 1296868 (view as bug list)
Environment:
Last Closed:
Type: Bug


Attachments (Terms of Use)
Nautilus window showing 2 programs (39.47 KB, image/png)
2016-01-08 09:40 UTC, Yann Droneaud
no flags Details
Nautilus popup when double clicking on PIE program (11.88 KB, image/png)
2016-01-08 09:41 UTC, Yann Droneaud
no flags Details
Nautilus shows basic file properties (29.41 KB, image/png)
2016-01-08 09:43 UTC, Yann Droneaud
no flags Details
Nautilus shows permissions file properties (29.03 KB, image/png)
2016-01-08 09:45 UTC, Yann Droneaud
no flags Details
Nautilus shows "open with" properties (37.01 KB, image/png)
2016-01-08 09:46 UTC, Yann Droneaud
no flags Details


Links
System ID Private Priority Status Summary Last Updated
FreeDesktop.org 97226 0 None None None Never
GNOME Bugzilla 737849 0 Normal RESOLVED Can't launch position independent executables 2020-11-09 17:00:38 UTC

Description Yann Droneaud 2016-01-08 09:38:06 UTC
When double-clicking on programs listed by file manager:

- program built without -pie can be launched.
- program built with -pie (Position Independent Executable) cannot be launched.

Nautilus should be able to start PIE binaries just like non-PIE ones.

Comment 1 Yann Droneaud 2016-01-08 09:40:04 UTC
Created attachment 1112819 [details]
Nautilus window showing 2 programs

Here's a screenshot for the main file manager window showing 2 programs, one built with -pie and the other built without.

The non-PIE one is showed as executable, while the PIE one is not.

Comment 2 Yann Droneaud 2016-01-08 09:41:49 UTC
Created attachment 1112822 [details]
Nautilus popup when double clicking on PIE program

Here's a screen shot of the popup showed by Nautilus when double clicking on PIE program.

The PIE program is reported as a shared library.

Comment 3 Yann Droneaud 2016-01-08 09:43:43 UTC
Created attachment 1112824 [details]
Nautilus shows basic file properties

The basic properties for the PIE program shown by Nautilus.
Note file type: shared library, MIME application/x-sharedlib.

Comment 4 Yann Droneaud 2016-01-08 09:45:16 UTC
Created attachment 1112827 [details]
Nautilus shows permissions file properties

The permissions for the PIE program shown by Nautilus.
Note: the file is marked executable.

Comment 5 Yann Droneaud 2016-01-08 09:46:43 UTC
Created attachment 1112829 [details]
Nautilus shows "open with" properties

Nautilus let me choose an application to open files of type "shared library" and the PIE program.

Comment 6 Yann Droneaud 2016-01-08 09:48:36 UTC
I believe the root issue is "file" command that incorrectly report PIE program as shared object instead of executable:

  $ file bin-nopie
  bin-nopie: ELF 64-bit LSB executable, x86-64, version 1 (SYSV), dynamically linked, interpreter /lib64/ld-linux-x86-64.so.2, for GNU/Linux 2.6.32, BuildID[sha1]=ee817f6d5d4f5635a981b1b837b1b0de3b16aacf, not stripped

  $ file bin-pie
  bin-pie:   ELF 64-bit LSB shared object, x86-64, version 1 (SYSV), dynamically linked, interpreter /lib64/ld-linux-x86-64.so.2, for GNU/Linux 2.6.32, BuildID[sha1]=439fc92838d4d0981f99dd967485e5b95a5a0e7b, not stripped

Comment 7 Fedora End Of Life 2018-05-03 08:49:41 UTC
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 8 Ben Cotton 2020-04-30 22:15:37 UTC
This message is a reminder that Fedora 30 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 30 on 2020-05-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '30'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 30 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 9 Ben Cotton 2020-11-03 17:00:10 UTC
This message is a reminder that Fedora 31 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 31 on 2020-11-24.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '31'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 31 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.


Note You need to log in before you can comment on or make changes to this bug.